local Hatmaker = ...

-- Register prefab nodes (currently only one core model)
Hatmaker:registerAssetId("models/hatmaker.fbx/Prefab/hatmakerPart", "HATMAKER_WORKPLACE_PREFAB")

Hatmaker:register({
--Dclare que l'objet que l'on cre appartient  la class BUILDING
	DataType = "BUILDING",
--Dclare la classe de l'objet que l'on cre
	Id = "HATMAKER_WORKPLACE",
	Name = "HATMAKER_WORKPLACE_NAME",
	Description = "HATMAKER_WORKPLACE_DESC",
--Renseigne le champ Building Type. cela va permettre de classer l'objet dans les menus
	BuildingType = "DECORATION",
--renseigne le champ BuildingPartList de l'objet que l'on cre un peu plus loin	
	BuildingPartList = { "HATMAKER_WORKPLACE_PART" },
--Renseigne le champ Nombre de villageois requis pour la construction. Ici inactiv pour le test
	--VillagerRequired = { Status = "NEWCOMER", Quantity = 9 }
})

-- Register the shoemaker workplace part
Hatmaker:register({
	DataType = "BUILDING_PART",
	Id = "HATMAKER_WORKPLACE_PART",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "HATMAKER_WORKPLACE_PREFAB"
	},
--Dclaration de la taille de la zone de construction ( c'est un masque qui cache la zone de futur construction pour faire passer devant le decor votre object" veiller a la faire a la bonne taille ..pas bloquant
	BuildingZone = { 4, 4},
--Ca c'est pour dclarer le visuel de construction si il y en a un !
	ConstructionVisual = "HATMAKER_WORKPLACE_PREFAB",
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = { -- List of RESOURCE_QUANTITY_PAIR
			{ Resource = "WOOD", Quantity = 5 }
		}
	},
	BuildingFunction = {
		DataType = "BUILDING_FUNCTION_WORKPLACE",
		WorkerCapacity = 2,
                RelatedJob = { Job = "HATMAKER", Behavior = "WORK_BEHAVIOR" },
                InputInventoryCapacity = {
			{ Resource = "WOOLEN_CLOTH", Quantity = 1 }
                },
                ResourceListNeeded = {
                	{ Resource = "WOOLEN_CLOTH", Quantity = 1 }
                },
                ResourceProduced = {
			{ Resource = "HAT", Quantity = 1 }
                }
	}
})

-- Register grounding components

Hatmaker:registerPrefabComponent("models/hatmaker.fbx/Prefab/hatmakerPart/step_2_A", {
	DataType = "COMP_GROUNDED"
})
Hatmaker:registerPrefabComponent("models/hatmaker.fbx/Prefab/hatmakerPart/step_2_B", {
	DataType = "COMP_GROUNDED"
})
